#!/usr/bin/perl

######################################################################
#  Cognition/0.1-alpha4 - A metadata browser
#  Copyright (c) 2008 Toby Inkster.
######################################################################
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
######################################################################

use strict;
use lib '.';
use Cognition::HTMLParser;
use Data::Dumper;
use Getopt::Long
	qw(:config no_ignore_case bundling permute);
use HTTP::Request;
use LWP::UserAgent;
use Pod::Usage;

my ($url, $x, %opts);
GetOptions('option|o=s%' => \%opts);

$url            = shift @ARGV;
$opts{ua}       = LWP::UserAgent->new(agent => 'cognition/0.1-alpha4 ');
$opts{request}  = HTTP::Request->new(GET => $url);
$opts{response} = $opts{ua}->request($opts{request});
$x              = Cognition::HTMLParser->new($opts{response}->content, \%opts);

print $x->dumpRDF;
